## ros-melodic-cob-trajectory-controller 0.8.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_trajectory_controller)

find_package(catkin REQUIRED COMPONENTS actionlib cob_srvs control_msgs dynamic_reconfigure roscpp sensor_msgs std_msgs std_srvs trajectory_msgs)

### Message Generation ###
generate_dynamic_reconfigure_options(
  cfg/CobTrajectoryController.cfg
)

catkin_package(
  CATKIN_DEPENDS control_msgs sensor_msgs std_msgs trajectory_msgs
)

### BUILD ###
include_directories(common/include ${catkin_INCLUDE_DIRS})

add_executable(${PROJECT_NAME} common/src/RefValJS_PTP.cpp common/src/RefValJS_PTP_Trajectory.cpp common/src/TimeStamp.cpp common/src/genericArmCtrl.cpp ros/src/${PROJECT_NAME}.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-cob-trajectory-controller (0.8.12-1stretch) stretch; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.8.11-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.8.10-1stretch) stretch; urgency=high

  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.8.1-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.8.0-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.8-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.7-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.6-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.5-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.4-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.3-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.2-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.1-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/kinetic_release_candidate' into kinetic_dev
  * Merge pull request #169 <https://github.com/ipa320/cob_control/issues/169> from ipa-fxm/kinetic_updates_indigo
    Kinetic updates indigo
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.7.0-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.15-1stretch) stretch; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.14-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.13-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.12-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.11-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.10-1stretch) stretch; urgency=high

  * fix CMakeLists
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.9-1stretch) stretch; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * more dependency fixes according to review comments
  * remove trailing whitespaces
  * migrate to package format 2
  * cleanup
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.8-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.7-1stretch) stretch; urgency=high

  * fix topic names
  * replace brics_actuator
  * use new Trigger from std_srvs
  * cleanup/replace cob_srvs
  * fix getParam, fix ActionServer auto_start
  * adapt cob_trajecory_controller to new namespaces
  * remove obsolete files
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.6-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.5-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.4-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 15 Dec 2014 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.3-1stretch) stretch; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 15 Dec 2014 23:00:00 -0000

ros-melodic-cob-trajectory-controller (0.6.2-1stretch) stretch; urgency=high

  * fixed preemtion state in run method - trajectory eecution should be stopped if the action is in preemption state


=== debian/control ===
Source: ros-melodic-cob-trajectory-controller
Section: misc
Priority: optional
Maintainer: Alexander Bubeck <aub@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-cob-srvs, ros-melodic-control-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-trajectory-msgs
Homepage: http://ros.org/wiki/cob_trajectory_controller
Standards-Version: 3.9.2

Package: ros-melodic-cob-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-cob-srvs, ros-melodic-control-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-trajectory-msgs
Description: This package provides a trajectory controller which controlls velocities for a chain of joints.
 This controller can be used e.g. with [[schunk_powercube_chain]].

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-trajectory-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
